WhatsApp V4
List conversations
Lists conversations newest-first (cursor-paginated), or returns all conversations for an exact phone match, one per business sender.
GET
/
v4
/
whatsapp
/
conversations
List conversations
curl --request GET \
--url https://api.meetergo.com/v4/whatsapp/conversations \
--header 'x-meetergo-api-user-id: <api-key>'import requests
url = "https://api.meetergo.com/v4/whatsapp/conversations"
headers = {"x-meetergo-api-user-id": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-meetergo-api-user-id': '<api-key>'}};
fetch('https://api.meetergo.com/v4/whatsapp/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.meetergo.com/v4/whatsapp/conversations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-meetergo-api-user-id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.meetergo.com/v4/whatsapp/conversations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-meetergo-api-user-id", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.meetergo.com/v4/whatsapp/conversations")
.header("x-meetergo-api-user-id", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.meetergo.com/v4/whatsapp/conversations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-meetergo-api-user-id"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"windowOpen": true,
"lastMessageAt": "2023-11-07T05:31:56Z",
"lastMessageDirection": "inbound",
"status": "open",
"createdAt": "2023-11-07T05:31:56Z",
"phoneNumberId": "<string>",
"phone": "<string>",
"userId": "<string>",
"username": "<string>",
"contactName": "<string>",
"contactId": "<string>",
"windowExpiresAt": "2023-11-07T05:31:56Z",
"lastMessagePreview": "<string>",
"labels": [
"<string>"
]
}
],
"nextCursor": "<string>"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}Authorizations
ApiUserHeaderJWTApiKey
User ID to act on behalf of. Platform API Keys only (required with an API Key unless the endpoint states otherwise). Requests authenticated with a Personal Access Token are rejected if this header names another user.
Query Parameters
Return conversations for this exact contact number across business senders.
Defaults to all for the API (both open and archived).
Available options:
open, done, all ⌘I
List conversations
curl --request GET \
--url https://api.meetergo.com/v4/whatsapp/conversations \
--header 'x-meetergo-api-user-id: <api-key>'import requests
url = "https://api.meetergo.com/v4/whatsapp/conversations"
headers = {"x-meetergo-api-user-id": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-meetergo-api-user-id': '<api-key>'}};
fetch('https://api.meetergo.com/v4/whatsapp/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.meetergo.com/v4/whatsapp/conversations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-meetergo-api-user-id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.meetergo.com/v4/whatsapp/conversations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-meetergo-api-user-id", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.meetergo.com/v4/whatsapp/conversations")
.header("x-meetergo-api-user-id", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.meetergo.com/v4/whatsapp/conversations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-meetergo-api-user-id"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"windowOpen": true,
"lastMessageAt": "2023-11-07T05:31:56Z",
"lastMessageDirection": "inbound",
"status": "open",
"createdAt": "2023-11-07T05:31:56Z",
"phoneNumberId": "<string>",
"phone": "<string>",
"userId": "<string>",
"username": "<string>",
"contactName": "<string>",
"contactId": "<string>",
"windowExpiresAt": "2023-11-07T05:31:56Z",
"lastMessagePreview": "<string>",
"labels": [
"<string>"
]
}
],
"nextCursor": "<string>"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}